Bug 183811 - textproc/stardict-dict-fa_IR: clean-up, add stage support
Summary: textproc/stardict-dict-fa_IR: clean-up, add stage support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-09 15:40 UTC by Max Brazhnikov
Modified: 2013-11-10 17:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.40 KB, patch)
2013-11-09 15:40 UTC, Max Brazhnikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Brazhnikov freebsd_committer 2013-11-09 15:40:01 UTC
Simplify Makefile by using shared code for dictionary ports
Update description
Use pkg-plist

Fix: Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2013-11-09 16:05:32 UTC
Hi Javad,

I've submitted a patch for your port:

http://www.freebsd.org/cgi/query-pr.cgi?pr=183811

Please review changes.

Max
Comment 2 Max Brazhnikov freebsd_committer 2013-11-09 16:33:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

Assign to me
Comment 3 Max Brazhnikov freebsd_committer 2013-11-09 16:34:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainer feedback
Comment 4 javad.kouhi 2013-11-10 07:21:13 UTC
Hi,

Thank you very much for the patch, approved.

Javad,
Regards.

On 11/9/13, Max Brazhnikov <makc@freebsd.org> wrote:
> Hi Javad,
>
> I've submitted a patch for your port:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=183811
>
> Please review changes.
>
> Max
>
Comment 5 dfilter service freebsd_committer 2013-11-10 17:29:30 UTC
Author: makc
Date: Sun Nov 10 17:29:21 2013
New Revision: 333413
URL: http://svnweb.freebsd.org/changeset/ports/333413

Log:
  - Simplify Makefile by using shared code for dictionary ports
  - Update description
  - Use pkg-plist
  
  PR:		ports/183811
  Approved by:	Javad Kouhi (maintainer)

Added:
  head/textproc/stardict-dict-fa_IR/pkg-plist   (contents, props changed)
Modified:
  head/textproc/stardict-dict-fa_IR/Makefile
  head/textproc/stardict-dict-fa_IR/pkg-descr   (contents, props changed)

Modified: head/textproc/stardict-dict-fa_IR/Makefile
==============================================================================
--- head/textproc/stardict-dict-fa_IR/Makefile	Sun Nov 10 17:28:44 2013	(r333412)
+++ head/textproc/stardict-dict-fa_IR/Makefile	Sun Nov 10 17:29:21 2013	(r333413)
@@ -5,26 +5,11 @@ PORTVERSION=	1.0.0
 CATEGORIES=	textproc
 MASTER_SITES=	SF/pyglossary/dic/English-Persion/
 DISTNAME=	Open%20Dictionary%20aka%20QueerDick-2010-09-28-rich
-DIST_SUBDIR=	stardict
 
 MAINTAINER=	javad.kouhi@gmail.com
 COMMENT=	English-Persian dictionary for stardict
 
-NO_BUILD=	yes
-NO_WRKSUBDIR=	yes
 WRKSRC=		"${WRKDIR}/Open Dictionary aka QueerDick-2010-09-28-rich"
 
-PLIST_FILES=	share/stardict/dic/Arianpur-OpenDictionary.dict.dz \
-		share/stardict/dic/Arianpur-OpenDictionary.idx \
-		share/stardict/dic/Arianpur-OpenDictionary.ifo
-PLIST_DIRSTRY=	share/stardict/dic \
-		share/stardict
-
-NO_STAGE=	yes
-do-install:
-	${MKDIR} ${PREFIX}/share/stardict/dic/
-	${INSTALL_DATA} ${WRKSRC}/Arianpur-OpenDictionary.dict.dz ${PREFIX}/share/stardict/dic/
-	${INSTALL_DATA} ${WRKSRC}/Arianpur-OpenDictionary.idx ${PREFIX}/share/stardict/dic/
-	${INSTALL_DATA} ${WRKSRC}/Arianpur-OpenDictionary.ifo ${PREFIX}/share/stardict/dic/
-
+.include "${.CURDIR}/../../russian/stardict-mueller7/files/Makefile.common"
 .include <bsd.port.mk>

Modified: head/textproc/stardict-dict-fa_IR/pkg-descr
==============================================================================
--- head/textproc/stardict-dict-fa_IR/pkg-descr	Sun Nov 10 17:28:44 2013	(r333412)
+++ head/textproc/stardict-dict-fa_IR/pkg-descr	Sun Nov 10 17:29:21 2013	(r333413)
@@ -1,3 +1,3 @@
-English-Persian dictionaries for stardict2 and stardict3.
+English-Persian dictionaries for StarDict.
 
 WWW: http://pyglossary.sourceforge.net

Added: head/textproc/stardict-dict-fa_IR/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/stardict-dict-fa_IR/pkg-plist	Sun Nov 10 17:29:21 2013	(r333413)
@@ -0,0 +1,5 @@
+share/stardict/dic/Arianpur-OpenDictionary.dict.dz
+share/stardict/dic/Arianpur-OpenDictionary.idx
+share/stardict/dic/Arianpur-OpenDictionary.ifo
+@dirrmtry share/stardict/dic
+@dirrmtry share/stardict
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Max Brazhnikov freebsd_committer 2013-11-10 17:29:49 UTC
State Changed
From-To: feedback->closed

Committed.